@import url('https://fonts.googleapis.com/css?family=Rubik:700&display=swap');

canvas {
  position: absolute;
  top: 0;
  left: 0;
  background-color: black;
  width: 100%;
  height: 100%;
}

* {
  box-sizing: border-box;
}

*::before {
    box-sizing: border-box;
  }
  
*::after {
  box-sizing: border-box;
}

body {
  font-family: 'Rubik', sans-serif;
  font-size: 1rem;
  line-height: 1.5;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0;
  min-height: 100vh;
}

button {
  position: relative;
  display: inline-block;
  cursor: pointer;
  outline: none;
  border: 0;
  vertical-align: middle;
  text-decoration: none;
  font-size: inherit;
  font-family: inherit;
}

button.learn-more {
    font-weight: 600;
    color: #382b22; /* Text Color */
    text-transform: uppercase;
    padding: 1.25em 2em;
    background: #fff0f0; /* Light Ping */
    border: 2px solid #b18597; /* pink border */
    border-radius: 0.75em;
    transform-style: preserve-3d;
    transition: transform 150ms cubic-bezier(0, 0, 0.58, 0.5), background 150ms cubic-bezier(0, 0, 0.58, 1);
}


button.learn-more::before {
      position: absolute;
      content: '';
      width: 100%;
      height: 100%;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background: #f9c4d2; /* Dark Pink */
      border-radius: inherit;
      box-shadow: 0 0 0 2px #b18597, 0 0.625em 5px 0 rgba(255, 227, 226, 0.1); /* pink border, pink shadow */
      transform: translate3d(0, 0.75em, -1em);
      transition: transform 150ms cubic-bezier(0, 0, 0.58, 0.5), box-shadow 150ms cubic-bezier(0, 0, 0.58, 1);
    }

button.learn-more:hover {
      background: #ffe9e9; /* pink */
      transform: translate(0, 0.25em);
}

 button.learn-more:hover::before {
        box-shadow: 0 0 0 2px #b18597, 0 0.5em 5px 0 rgba(255, 227, 226, 0.1); /* pink border, pink shadow */
        transform: translate3d(0, 0.5em, -1em);
      } 


button.learn-more:active {
      background: #ffe9e9; /* pink */
      transform: translate(0em, 0.75em);
}

button.learn-more:active::before {
        box-shadow: 0 0 0 2px #b18597, 0 0 3px rgba(255, 227, 226, 0.1); /* pink border, pink shadow */
        transform: translate3d(0, 0, -1em);
}